Loading...
Searching...
No Matches
iana.h File Reference

## Enumerations

enum | lwip_iana_hwtype { LWIP_IANA_HWTYPE_ETHERNET = 1 }

enum

lwip_iana_port_number {
LWIP_IANA_PORT_SMTP = 25 , LWIP_IANA_PORT_DHCP_SERVER = 67 , LWIP_IANA_PORT_DHCP_CLIENT = 68 , LWIP_IANA_PORT_TFTP = 69 ,
LWIP_IANA_PORT_HTTP = 80 , LWIP_IANA_PORT_SNTP = 123 , LWIP_IANA_PORT_NETBIOS = 137 , LWIP_IANA_PORT_SNMP = 161 ,
LWIP_IANA_PORT_SNMP_TRAP = 162 , LWIP_IANA_PORT_HTTPS = 443 , LWIP_IANA_PORT_SMTPS = 465 , LWIP_IANA_PORT_MQTT = 1883 ,
LWIP_IANA_PORT_MDNS = 5353 , LWIP_IANA_PORT_SECURE_MQTT = 8883
}

## Detailed Description

IANA assigned numbers (RFC 1700 and successors)